import eeml.*;

PFont myFont;

DataIn dIn;

float x = 0.0;
float y = 0.0;

void setup() {
  // set up DataIn object; indicate the URL you want, your Pachube API key,
  // and how often you want it to update e.g. every 1 second
  dIn = new DataIn(this,"http://www.pachube.com/api/38749.xml",
  "l8r1Xs_laSM1UGwc_y8wTEZH-oH1w2E4C3i5JIz0Pww", 1000);
  size (400,400);
  myFont = loadFont("ArialMT-48.vlw");
  textFont(myFont);
  textAlign(CENTER);
}

void draw()
{
  background(0);
  text(x, width/2, height/2 - 45);
  text(y, width/2, height/2);

}

// onReceiveEEML is run every time your app receives back EEML 
// that it has requested from a Pachube feed.
void onReceiveEEML(DataIn d)
{
  background(0);
  x = d.getValue(0);
  y = d.getValue(1);  
}

